SKF GoPlant
Api Reference 101

Completed Forms

Get completed form data based on query parameters.

Completed forms are available via the API once an operator commits the form. Forms which are in progress or drafted but not committed are not available via the API.

Completed forms are scoped based on their round's storage group. If the round's storage group is outside of the user's scope, the completed form is not available to that user.

GET /api/rest/completed-forms Get a list of completed forms in the user’s scope using query parameters.

Get a list of forms completed over the past 24 hours. If there are more than 1,000 completed forms completed during that time, call the API again using the From-Completed-Form-UUID parameter.

Request

                GET https://{goplant_instance}/api/rest/completed-forms
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of forms completed between December 1st, 5:00 and December 2nd, 18:00. All times are specified using UTC.

Request

                GET https://{goplant_instance}/api/rest/completed-forms?Start-Time=2025-12-01T05:00:00&End-Time=2025-12-02T18:00:00
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of completed forms starting with UUID 1234-5678-9012-3456 that are in storage groups 0001-0002-0003-0004 and 1111-2222-3333-4444.

Request

                GET https://{goplant_instance}/api/rest/completed-forms?From-Completed-Form-UUID=1234-5678-9012-3456&Storage-Group-UUID=0001-0002-0003-0004,1111-2222-3333-4444
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of completed forms that have had responses modified after the form was initially committed since the specified time. All times are specified using UTC.

Request

                GET https://{goplant_instance}/api/rest/completed-forms?Modified-Since-Time=2021-12-08T00:00:00
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
URI Query Parameters
End-Time
Limit completed forms to those completed before the indicated end date and time. End-Time is specified as a UTC string.
If no End-Time is specified, the default value of current time in UTC is used.
string optional
From-Completed-Form-UUID
Limit completed forms to the specified completed form UUID and those that follow it.
string optional
Max-Responses
Limit the number of completed forms returned. The maximum value is 1,000, which is also the default value.
string optional
Modified-Since-Time
Limit completed forms to those whose response values have been edited after the indicated time. Modified-Since-Time is specified as a UTC string.
string optional
Storage-Group-UUID
Limit completed forms to those in the specified storage group(s). Multiple group UUIDs may be specified, separated by commas.
If the user specifies a group outside of their scope, an error will be returned.
string optional
Response Body Array of completed forms with paging information
count
Number of responses returned
integer
nextCompletedFormUuid
The UUID of the next completed form after the last completed form returned by this call. Null if there are no more completed forms
string
completedForms
Array of completed forms within the current user’s scope
array of completed-form-type
uuid
Unique ID of completed form
string
uri
Completed form URI
string
formName
Form name
string
formStartTimeUTC
UTC time when form was started
string
formEndTimeUTC
UTC time when form was completed
string
formModifiedTimeUTC
UTC time when a response in the form was last modified. Null if form has not been edited since it was initially completed
string
formStorageGroupName
Form's storage group name
string
formStorageGroupUri
URI of form's storage group
string
roundName
Name of round
string
roundInstanceUri
URI of round instance
string
taskName
Name of task. Null if round was run outside of the context of a task
string
taskEventUri
URI of task event. Null if round was run outside of the context of a task
string
assetTag
Asset tag. Null if round element did not include an asset
string
completedResponseCount
Number of completed responses
integer
skippedResponseCount
Number of skipped responses
integer
exceptionCount
Number of exceptions generated
integer
noteCount
Number of form notes recorded
integer
GET /api/rest/completed-forms/:uuid Get a single instance of a completed form.
Request

                GET https://{goplant_instance}/api/rest/completed-forms/:uuid
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Requested completed form
uuid
Unique ID of completed form
string
uri
Completed form URI
string
formName
Form name
string
formStartTimeUTC
UTC time when form was started
string
formEndTimeUTC
UTC time when form was completed
string
formModifiedTimeUTC
UTC time when a response in the form was last modified. Null if form has not been edited since it was initially completed
string
formStorageGroupName
Form's storage group name
string
formStorageGroupUri
URI of form's storage group
string
roundName
Name of round
string
roundInstanceUri
URI of round instance
string
taskName
Name of task. Null if round was run outside of the context of a task
string
taskEventUri
URI of task event. Null if round was run outside of the context of a task
string
assetTag
Asset tag. Null if round element did not include an asset
string
completedResponseCount
Number of completed responses
integer
skippedResponseCount
Number of skipped responses
integer
exceptionCount
Number of exceptions generated
integer
noteCount
Number of form notes recorded
integer
GET /api/rest/completed-forms/:uuid/notes Get a list of notes from a completed form.
Request

                GET https://{goplant_instance}/api/rest/completed-forms/:uuid/notes
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Array of completed form notes
count
Number of completed form notes returned
integer
notes
Array of completed form notes
array of complete-form-note-type
noteText
Text of note
string
noteTimeUTC
UTC time when note was recorded
string
username
User who recorded the note
string